#version 330 core

in vec2 texcoord;
in vec4 ourcolor;
in float finalopaquevalue;

out vec4 color;

uniform sampler2D text;
uniform sampler2D texture1;
uniform int texturecheck;

void main()
{
vec4 mixcolor;
//vec4 sampled = vec4(1.0, 1.0, 1.0, texture(text, texcoord).r);

if(texturecheck>0)
   mixcolor = mix(texture(texture1, texcoord), ourcolor, ourcolor.a);
else
   mixcolor = ourcolor;

mixcolor.a = finalopaquevalue;

mixcolor.a *= texture(text, texcoord).r;
color = mixcolor;
//color = mixcolor * sampled;
}