#version 330 core

layout (location = 0) in vec4 vertex; // <vec2 pos, vec2 tex>
layout (location = 1) in vec4 colorin; 
layout (location = 2) in float finalopaque; 

out vec4 ourcolor;
out vec2 texcoord;
out float finalopaquevalue;


uniform mat4 projection;
void main()
{
gl_Position = projection * vec4(vertex.xy, 0.0, 1.0);
texcoord = vertex.zw;
ourcolor = colorin;
finalopaquevalue = finalopaque;
}