#version 330 core

in vec4 ourcolor;

out vec4 color;

uniform ivec2 pos;
uniform int faderange = 300;
uniform int fadecheck = 0;


void main()
{
vec4 modcolor;
modcolor = ourcolor;

if(fadecheck>0){
    float a = (gl_FragCoord.x - pos.x)*(gl_FragCoord.x - pos.x)+(gl_FragCoord.y - pos.y)*(gl_FragCoord.y - pos.y);

    if( a <= faderange*faderange){
        a /= faderange*faderange;
        a = 1.0-a; 
		a *=a;
  	    modcolor.a *= a;
    }
    else
        modcolor.a = 0.0;
}

 color = modcolor;

}