#version 330 core

layout (location = 0) in vec2 vertex;
layout (location = 1) in vec2 offset;

out vec4 ourcolor;

uniform vec2 move = {0.0,0.0};
uniform float zoom = 1.0;

uniform int singleormultiple = 0;  //0 for multiple, 1 for single
uniform int vertexinstancecheck = 0; //{onlyvertex = 0, onlyinstance, vertexandinstance, vertexorinstance}

uniform vec4 bordercolor = {1.0,1.0,1.0,1.0};

uniform int instanceid = 17;
uniform int vertexid = 4;
uniform int instancerange = 1;
uniform int vertexrange = 1;

void skip(){
     gl_Position = vec4(-2.0,0.0,0.0,1.0);
}



void main()
{

if(vertexinstancecheck == 0){ //{onlyvertex, onlyinstance, vertexandinstance, vertexorinstance}

   if(singleormultiple == 0 || (gl_VertexID >= vertexid && gl_VertexID < vertexid+vertexrange))
       {ourcolor = bordercolor;  gl_Position = vec4((vertex.xy + offset + move*zoom), 0.0, zoom);}
   else
       skip();       

}else
if(vertexinstancecheck == 1){ //{onlyvertex, onlyinstance, vertexandinstance, vertexorinstance}

   if(singleormultiple == 0 || (gl_InstanceID >= instanceid && gl_InstanceID < instanceid+instancerange))
       {ourcolor = bordercolor;  gl_Position = vec4((vertex.xy + offset + move*zoom), 0.0, zoom);}
   else
       skip();     

}else
if(vertexinstancecheck == 2){ //{onlyvertex, onlyinstance, vertexandinstance, vertexorinstance}

   if(singleormultiple == 0 || ((gl_VertexID >= vertexid && gl_VertexID < vertexid+vertexrange) && (gl_InstanceID >= instanceid && gl_InstanceID < instanceid+instancerange)))
       {ourcolor = bordercolor;  gl_Position = vec4((vertex.xy + offset + move*zoom), 0.0, zoom);}
   else
       skip();     

}else
if(vertexinstancecheck == 3){ //{onlyvertex, onlyinstance, vertexandinstance, vertexorinstance}

   if(singleormultiple == 0 || ((gl_VertexID >= vertexid && gl_VertexID < vertexid+vertexrange) || (gl_InstanceID >= instanceid && gl_InstanceID < instanceid+instancerange)))
       {ourcolor = bordercolor;  gl_Position = vec4((vertex.xy + offset + move*zoom), 0.0, zoom);}
   else
       skip();     

}


}
